#include "raylib.h"

/* This is created by Dongkun Lee. Korean Attorney in Law. 
First Created at 12/28/2025
*/


/* -------------------------------------------------------------
// Program main entry point
--------------------------------------------------------------- */
int main(void)
{
    // Initialization
    const int screenWidth = 500;
    const int screenHeight = 600;  // Cell Size is 30px. and There are 20 grid horizontally. 

    InitWindow(screenWidth, screenHeight, "Tetris - Hello!");
 
    Image icon = LoadImage("icon/seodang.png");
    SetWindowIcon(icon);

    SetTargetFPS(60);    

    // Main game loop
    while (WindowShouldClose() == false)    // Detect window close button or ESC key
    {
        // Draw
        //----------------------------------------
        BeginDrawing();
 
            ClearBackground(RAYWHITE);
            DrawText("Hello There", 190, 200, 20, MAROON);  
  
        EndDrawing();
        //---------------------------------------

    }

    // De-Initialization
    CloseWindow();        // Close window and OpenGL context
    //--------------------------------------------------------------------------------------
 
    return 0;
}